import type { Inertia, Page } from '@inertiajs/inertia';
import type { InertiaForm, InertiaFormTrait, InertiaHeadManager } from '@inertiajs/inertia-vue';
import type { Router, Config, RouteParam, RouteParamsWithQueryOverload } from 'ziggy-js';
import { InertiaLink, install } from './link';
/**
 * Get head manager instance
 */
export declare function useHeadManager(): InertiaHeadManager;
/**
 * Get page instance
 */
export declare function usePage<SharedProps = Record<string, any>>(): Page<SharedProps>;
/**
 * Get inertia instance
 */
export declare function useInertia(): typeof Inertia & InertiaFormTrait;
/**
 * Get Form
 *
 * @param args - Form Key-Value Pair.
 */
export declare function useForm<TForm = Record<string, any> | undefined>(args?: TForm): InertiaForm<TForm | undefined>;
/**
 * Get route instance.
 *
 * @param name - router name.
 * @param params - query strings key value pair.
 * @param absolute - return to absolute url flag.
 * @param config - override confing. (Host, Port, etc.)
 */
export declare function route(name?: string, params?: RouteParamsWithQueryOverload | RouteParam, absolute?: boolean, config?: Config): Router & string;
export { InertiaLink, install };
//# sourceMappingURL=index.d.ts.map