import { type PropType } from 'vue-demi';
import { type PreserveStateOption, type RequestPayload } from '@inertiajs/inertia';
/**
 * Alternate of Inertia Link Component
 *
 * @experimental
 */
declare const InertiaLink: import("vue-demi").DefineComponent<{
    as: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: PropType<string | URL>;
        default: string;
    };
    method: {
        type: PropType<"get" | "post" | "put" | "patch" | "delete">;
        default: string;
    };
    data: {
        type: PropType<RequestPayload>;
        default: () => void;
    };
    replace: {
        type: BooleanConstructor;
        default: boolean;
    };
    preserveScroll: {
        type: PropType<PreserveStateOption>;
        default: boolean;
    };
    preserveState: {
        type: PropType<PreserveStateOption>;
        default: boolean;
    };
    only: {
        type: PropType<string[]>;
        default: () => never[];
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => void;
    };
    errorBag: {
        type: StringConstructor;
        default: null;
    };
    forceFormData: {
        type: BooleanConstructor;
        default: boolean;
    };
    queryStringArrayFormat: {
        type: PropType<"indices" | "brackets">;
        default: string;
    };
}, {}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue-demi").ExtractPropTypes<{
    as: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: PropType<string | URL>;
        default: string;
    };
    method: {
        type: PropType<"get" | "post" | "put" | "patch" | "delete">;
        default: string;
    };
    data: {
        type: PropType<RequestPayload>;
        default: () => void;
    };
    replace: {
        type: BooleanConstructor;
        default: boolean;
    };
    preserveScroll: {
        type: PropType<PreserveStateOption>;
        default: boolean;
    };
    preserveState: {
        type: PropType<PreserveStateOption>;
        default: boolean;
    };
    only: {
        type: PropType<string[]>;
        default: () => never[];
    };
    headers: {
        type: PropType<Record<string, string>>;
        default: () => void;
    };
    errorBag: {
        type: StringConstructor;
        default: null;
    };
    forceFormData: {
        type: BooleanConstructor;
        default: boolean;
    };
    queryStringArrayFormat: {
        type: PropType<"indices" | "brackets">;
        default: string;
    };
}>>, {
    data: RequestPayload;
    replace: boolean;
    as: string;
    href: string | URL;
    method: "get" | "post" | "put" | "patch" | "delete";
    preserveScroll: PreserveStateOption;
    preserveState: PreserveStateOption;
    only: string[];
    headers: Record<string, string>;
    errorBag: string;
    forceFormData: boolean;
    queryStringArrayFormat: "indices" | "brackets";
}>;
declare const installInertiaLink: (app: any) => any;
export { InertiaLink, installInertiaLink as install };
//# sourceMappingURL=link.d.ts.map